weka.core

## Interface CommandlineRunnable

- All Known Implementing Classes:
    AbstractAssociator, AbstractClassifier, AbstractClusterer, AbstractDensityBasedClusterer, AbstractTimeSeries, AdaBoostM1, Add, AddClassification, AddCluster, AddExpression, AddID, AdditiveRegression, AddNoise, AddUserFields, AddValues, AllFilter, Apriori, ASEvaluation, AttributeSelectedClassifier, AttributeSelection, AttributeSetEvaluator, Bagging, BayesNet, BayesNetGenerator, BIFReader, Canopy, CartesianProduct, Center, CfsSubsetEval, ChangeDateFormat, ClassAssigner, ClassBalancer, ClassConditionalProbabilities, ClassificationViaRegression, ClassifierAttributeEval, ClassifierSubsetEval, ClassOrder, ClusterMembership, Cobweb, Copy, CorrelationAttributeEval, CostSensitiveClassifier, CVParameterSelection, DateToNumeric, DecisionStump, DecisionTable, Discretize, Discretize, EditableBayesNet, EM, FarthestFirst, Filter, FilteredAssociator, FilteredClassifier, FilteredClusterer, FindWithCapabilities, FirstOrder, FixedDictionaryStringToWordVector, FlowRunner, FPGrowth, GainRatioAttributeEval, GaussianProcesses, GeneralRegression, HierarchicalClusterer, HoeffdingTree, HoldOutSubsetEvaluator, IBk, InfoGainAttributeEval, InputMappedClassifier, InterquartileRange, IteratedSingleClassifierEnhancer, IterativeClassifierOptimizer, J48, JRip, KernelFilter, KStar, LinearRegression, ListOptions, LMT, LMTNode, Logistic, LogisticBase, LogitBoost, LWL, M5Base, M5P, M5Rules, MakeDensityBasedClusterer, MakeIndicator, MathExpression, MergeInfrequentNominalValues, MergeManyValues, MergeNominalValues, MergeTwoValues, MultiClassClassifier, MultiClassClassifierUpdateable, MultiFilter, MultilayerPerceptron, MultipleClassifiersCombiner, MultiScheme, NaiveBayes, NaiveBayesMultinomial, NaiveBayesMultinomialText, NaiveBayesMultinomialUpdateable, NaiveBayesUpdateable, NeuralNetwork, NominalToBinary, NominalToBinary, NominalToString, NonSparseToSparse, Normalize, NumericCleaner, NumericToBinary, NumericToDate, NumericToNominal, NumericTransform, Obfuscate, OneR, OneRAttributeEval, OrdinalToNumeric, ParallelIteratedSingleClassifierEnhancer, ParallelMultipleClassifiersCombiner, PART, PartitionedMultiFilter, PartitionMembership, PKIDiscretize, PMMLClassifier, PotentialClassIgnorer, PreConstructedLinearModel, PrincipalComponents, PrincipalComponents, RandomCommittee, RandomForest, RandomizableClassifier, RandomizableClusterer, RandomizableDensityBasedClusterer, RandomizableFilteredClassifier, RandomizableIteratedSingleClassifierEnhancer, RandomizableMultipleClassifiersCombiner, RandomizableParallelIteratedSingleClassifierEnhancer, RandomizableParallelMultipleClassifiersCombiner, RandomizableSingleClassifierEnhancer, RandomizableSingleClustererEnhancer, Randomize, RandomProjection, RandomSubset, RandomSubSpace, RandomTree, Regression, RegressionByDiscretization, ReliefFAttributeEval, Remove, RemoveByName, RemoveDuplicates, RemoveFolds, RemoveFrequentValues, RemoveMisclassified, RemovePercentage, RemoveRange, RemoveType, RemoveUseless, RemoveWithValues, RenameAttribute, RenameNominalValues, RenameRelation, Reorder, ReplaceMissingValues, ReplaceMissingWithUserConstant, ReplaceWithMissingValue, REPTree, Resample, Resample, ReservoirSample, RuleNode, RuleSetModel, SerializedClassifier, SGD, SGDText, SimpleBatchFilter, SimpleFilter, SimpleKMeans, SimpleLinearRegression, SimpleLogistic, SimpleStreamFilter, SingleAssociatorEnhancer, SingleClassifierEnhancer, SingleClustererEnhancer, SMO, SMOreg, SortLabels, SparseToNonSparse, SpreadSubsample, Stacking, Standardize, StepInjectorFlowRunner, StratifiedRemoveFolds, StringToNominal, StringToWordVector, SubsetByExpression, SupportVectorMachineModel, SwapValues, SymmetricalUncertAttributeEval, TextDirectoryLoader, TimeSeriesDelta, TimeSeriesTranslate, Transpose, TreeModel, UnsupervisedAttributeEvaluator, UnsupervisedSubsetEvaluator, Vote, VotedPerceptron, WeightedInstancesHandlerWrapper, WrapperSubsetEval, ZeroR

      public interface CommandlineRunnable

  Interface to something that can be run from the command line.
  Version:
    $Revision: 12184 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `postExecution()` Perform any teardown stuff that might need to happen after execution.
    `void` | `preExecution()` Perform any setup stuff that might need to happen before execution.
    `void` | `run(java.lang.Object toRun, java.lang.String[] options)` Execute the supplied object.

- - ### Method Detail

    - #### preExecution

          void preExecution()
                     throws java.lang.Exception

      Perform any setup stuff that might need to happen before execution.
      Throws:
        `java.lang.Exception` - if a problem occurs during setup

    - #### run

          void run(java.lang.Object toRun,
                   java.lang.String[] options)
            throws java.lang.Exception

      Execute the supplied object.
      Parameters:
        `toRun` - the object to execute
        `options` - any options to pass to the object
      Throws:
        `java.lang.Exception` - if a problem occurs.

    - #### postExecution

          void postExecution()
                      throws java.lang.Exception

      Perform any teardown stuff that might need to happen after execution.
      Throws:
        `java.lang.Exception` - if a problem occurs during teardown